library id3changer;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  Sysutils,
  ID3v1,
  Windows,
  Functions;

{$R *.RES}

function ID3v1Title(mWnd, aWnd: HWND; data,parms: PChar; show, nopause:boolean): integer; Export;stdcall;
var ID3:TID3v1;
begin
try
ID3 := TID3v1.Create;
ID3.ReadFromFile(Gettok(data,1,124));
ID3.Title := GetTok(data,2,124);
ID3.SaveToFile(Gettok(data,1,124));
Result := 1;
except
Result := 0;
end;
end;
exports ID3v1Title;
function ID3v1Artist(mWnd, aWnd: HWND; data,parms: PChar; show, nopause:boolean): integer; Export;stdcall;
var ID3:TID3v1;
begin
try
ID3 := TID3v1.Create;
ID3.ReadFromFile(Gettok(data,1,124));
ID3.Artist := GetTok(data,2,124);
ID3.SaveToFile(Gettok(data,1,124));
Result := 1;
except
Result := 0;
end;
end;
exports ID3v1Artist;
function ID3v1Album(mWnd, aWnd: HWND; data,parms: PChar; show, nopause:boolean): integer; Export;stdcall;
var ID3:TID3v1;
begin
try
ID3 := TID3v1.Create;
ID3.ReadFromFile(Gettok(data,1,124));
ID3.Album := GetTok(data,2,124);
ID3.SaveToFile(Gettok(data,1,124));
Result := 1;
except
Result := 0;
end;
end;
exports ID3v1Album;    
function ID3v1Year(mWnd, aWnd: HWND; data,parms: PChar; show, nopause:boolean): integer; Export;stdcall;
var ID3:TID3v1;
begin
try
ID3 := TID3v1.Create;
ID3.ReadFromFile(Gettok(data,1,124));
ID3.Year := GetTok(data,2,124);
ID3.SaveToFile(Gettok(data,1,124));
Result := 1;
except
Result := 0;
end;
end;
exports ID3v1Year;
function ID3v1GenreID(mWnd, aWnd: HWND; data,parms: PChar; show, nopause:boolean): integer; Export;stdcall;
var ID3:TID3v1;
begin
try
ID3 := TID3v1.Create;
ID3.ReadFromFile(Gettok(data,1,124));
ID3.GenreID := StrToInt(GetTok(data,2,124));
ID3.SaveToFile(Gettok(data,1,124));
Result := 1;
except
Result := 0;
end;
end;
exports ID3v1GenreID;
function ID3v1Comment(mWnd, aWnd: HWND; data,parms: PChar; show, nopause:boolean): integer; Export;stdcall;
var ID3:TID3v1;
begin
try
ID3 := TID3v1.Create;
ID3.ReadFromFile(Gettok(data,1,124));
ID3.Comment := GetTok(data,2,124);
ID3.SaveToFile(Gettok(data,1,124));
Result := 1;
except
Result := 0;
end;
end;
exports ID3v1Comment;
end.
